Get comments list

Retrieves a paginated list of comments related to a specific entity (post, task, or custom entity type). Supports nested/threaded comments where child comments can be retrieved separately. The nextId and prevId fields in the response help with pagination - comments are paginated starting from the last page in ascending order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Entity type name (e.g., 'post', 'task', or custom type). If set to 'comment', the request retrieves child comments where entityId represents the parent comment ID. Use along with childList and lastId to paginate child comments.

int64
required

Entity ID

number
Defaults to 20

Number of top-level comments to retrieve per page. If omitted, retrieves all comments. Use with nextId for pagination.

int32
Defaults to 2

Use this to define the number of child comments to retrieve. Retrieve all if missing or retrieve the rest if lastId is present.

int64

The top level comments are being paginated starting from the last page but in the ascending order. This parameter used to point the topmost comment on the previous page. For example: to get the previous page in the sample below nextId must be 22.

  • comment-22
  • comment-23
  • comment-24

and the entire query should look like the following:

?entityType=post&entityId=123&list=3&childList=2&nextId=22

This means: to get the previous 3 comments of the entity post-123 along with the possible child comments (no more then 2 child comments per parent) relating to the comment-22

int64

This parameter used to point the bottom child comment on the previous page. For example: to get the next page if the child comments in the sample below, lastId must be 27, entityType must be "comment" and entityId must be 25.

  • comment-23

  • comment-24

  • comment-25

  • child-comment-26-of-parent-25

  • child-comment-27-of-parent-25

and the entire query should look like the following:

?entityType=post&entityId=123&childList=2&entityType=comment&entityId=25&lastId=27

This means: to get the next 2 child comments of parent comment-25 of the entity post-123 relating to the child-comment-27

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json